Package alt.javax.mail

# Class SessionImpl

java.lang.Object
alt.javax.mail.SessionImpl

All Implemented Interfaces:
  `Session`

public class SessionImpl extends Object implements Session

## Constructor Summary

Constructors
Constructor
Description
`SessionImpl(javax.mail.Session session)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`getDebug()`
`Session`
`getDefaultInstance(Properties props)`
`Session`
`getDefaultInstance(Properties props, Authenticator authenticator)`
`Folder`
`getFolder(URLName url)`
`Session`
`getInstance(Properties props)`
`Session`
`getInstance(Properties props, Authenticator authenticator)`
`PasswordAuthentication`
`getPasswordAuthentication(URLName url)`
`Properties`
`getProperties()`
`String`
`getProperty(String name)`
`Provider`
`getProvider(String protocol)`
`Provider[]`
`getProviders()`
`Store`
`getStore()`
`Store`
`getStore(String protocol)`
`Store`
`getStore(Provider provider)`
`Store`
`getStore(URLName url)`
`Transport`
`getTransport()`
`Transport`
`getTransport(Address address)`
`Transport`
`getTransport(String protocol)`
`Transport`
`getTransport(Provider provider)`
`Transport`
`getTransport(URLName url)`
`javax.mail.Session`
`getWrappedSession()`
`PasswordAuthentication`
`requestPasswordAuthentication(InetAddress addr, int port, String protocol, String prompt, String defaultUserName)`
`void`
`setDebug(boolean debug)`
`void`
`setPasswordAuthentication(URLName url, PasswordAuthentication pw)`
`void`
`setProvider(Provider provider)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SessionImpl

public SessionImpl(javax.mail.Session session)

## Method Details

### getInstance

public Session getInstance(Properties props, Authenticator authenticator)

Specified by:
  `getInstance` in interface `Session`

### getInstance

public Session getInstance(Properties props)

Specified by:
  `getInstance` in interface `Session`

### getDefaultInstance

public Session getDefaultInstance(Properties props, Authenticator authenticator)

Specified by:
  `getDefaultInstance` in interface `Session`

### getDefaultInstance

public Session getDefaultInstance(Properties props)

Specified by:
  `getDefaultInstance` in interface `Session`

### setDebug

public void setDebug(boolean debug)

Specified by:
  `setDebug` in interface `Session`

### getDebug

public boolean getDebug()

Specified by:
  `getDebug` in interface `Session`

### getProviders

public Provider[] getProviders()

Specified by:
  `getProviders` in interface `Session`

### getProvider

public Provider getProvider(String protocol) throws NoSuchProviderException

Specified by:
  `getProvider` in interface `Session`
Throws:
  `NoSuchProviderException`

### setProvider

public void setProvider(Provider provider) throws NoSuchProviderException

Specified by:
  `setProvider` in interface `Session`
Throws:
  `NoSuchProviderException`

### getStore

public Store getStore() throws NoSuchProviderException

Specified by:
  `getStore` in interface `Session`
Throws:
  `NoSuchProviderException`

### getStore

public Store getStore(String protocol) throws NoSuchProviderException

Specified by:
  `getStore` in interface `Session`
Throws:
  `NoSuchProviderException`

### getStore

public Store getStore(URLName url) throws NoSuchProviderException

Specified by:
  `getStore` in interface `Session`
Throws:
  `NoSuchProviderException`

### getStore

public Store getStore(Provider provider) throws NoSuchProviderException

Specified by:
  `getStore` in interface `Session`
Throws:
  `NoSuchProviderException`

### getFolder

public Folder getFolder(URLName url) throws MessagingException

Specified by:
  `getFolder` in interface `Session`
Throws:
  `MessagingException`

### getTransport

public Transport getTransport() throws NoSuchProviderException

Specified by:
  `getTransport` in interface `Session`
Throws:
  `NoSuchProviderException`

### getTransport

public Transport getTransport(String protocol) throws NoSuchProviderException

Specified by:
  `getTransport` in interface `Session`
Throws:
  `NoSuchProviderException`

### getTransport

public Transport getTransport(URLName url) throws NoSuchProviderException

Specified by:
  `getTransport` in interface `Session`
Throws:
  `NoSuchProviderException`

### getTransport

public Transport getTransport(Provider provider) throws NoSuchProviderException

Specified by:
  `getTransport` in interface `Session`
Throws:
  `NoSuchProviderException`

### getTransport

public Transport getTransport(Address address) throws NoSuchProviderException

Specified by:
  `getTransport` in interface `Session`
Throws:
  `NoSuchProviderException`

### setPasswordAuthentication

public void setPasswordAuthentication(URLName url, PasswordAuthentication pw)

Specified by:
  `setPasswordAuthentication` in interface `Session`

### getPasswordAuthentication

public PasswordAuthentication getPasswordAuthentication(URLName url)

Specified by:
  `getPasswordAuthentication` in interface `Session`

### requestPasswordAuthentication

public PasswordAuthentication requestPasswordAuthentication(InetAddress addr, int port, String protocol, String prompt, String defaultUserName)

Specified by:
  `requestPasswordAuthentication` in interface `Session`

### getProperties

public Properties getProperties()

Specified by:
  `getProperties` in interface `Session`

### getProperty

public String getProperty(String name)

Specified by:
  `getProperty` in interface `Session`

### getWrappedSession

public javax.mail.Session getWrappedSession()

Specified by:
  `getWrappedSession` in interface `Session`